Social Fetch
YouTube

Get YouTube community post

Get the contents of a YouTube community post.

Operation

GET/v1/youtube/community-posts
Cost: 1 credit

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

urlstringrequired(query)

Public YouTube community post URL.

min 1 chars · max 4096 chars

Response fields

data
objectrequired

Endpoint-specific response payload.

datalookupStatus
stringrequired

Whether the community post was resolved for this request.

one of: found, not_found

datapost
objectrequirednullable

Community post details when found.

datapostid
stringrequired

YouTube community post identifier.

min 1 chars

dataposturl
stringrequired

Canonical public YouTube community post URL.

min 1 chars

dataposttext
stringrequirednullable

Post text content when available.

datapostpublishedAt
stringrequirednullable

Publish timestamp when available.

datapostpublishedTimeText
stringrequirednullable

Human-readable relative publish time when available.

datachannel
objectrequirednullable

Publishing channel when found.

datachannelplatform
stringrequired

Social platform for this channel.

one of: youtube

datachannelplatformUserId
stringrequirednullable

YouTube channel id when available.

datachannelhandle
stringrequirednullable

YouTube channel handle without a leading @ when available.

datachanneldisplayName
stringrequirednullable

Public display name for the channel when available.

datachannelprofileUrl
stringrequirednullable

Canonical public YouTube channel URL when available.

datamedia
objectrequired

Media attached to the community post.

datamediaimageUrls
arrayrequired

Image URLs attached to the community post.

datamediaimageUrls[]
string

min 1 chars

datamedialinkedVideo
objectrequirednullable

Linked video when the post promotes or embeds one.

datamedialinkedVideoid
stringrequired

YouTube video identifier.

min 1 chars

datamedialinkedVideourl
stringrequired

Canonical public YouTube watch URL.

min 1 chars

datamedialinkedVideotitle
stringrequirednullable

Video title when available.

datamedialinkedVideothumbnailUrl
stringrequirednullable

Thumbnail image URL when available.

datamedialinkedVideopublishedAt
stringrequirednullable

Publish timestamp when available.

datamedialinkedVideopublishedTimeText
stringrequirednullable

Human-readable relative publish time when available.

datamedialinkedVideoviewCount
integerrequirednullable

View count when available.

≥ 0

datamedialinkedVideoviewCountText
stringrequirednullable

Human-readable view count when available.

datamedialinkedVideodurationSeconds
integerrequirednullable

Duration of the video in seconds when available.

≥ 0

datamedialinkedVideodurationText
stringrequirednullable

Human-readable duration label when available.

datametrics
objectrequirednullable

Engagement metrics when found.

datametricslikes
integerrequirednullable

Like count when available.

≥ 0

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

YouTube community post details. Check `data.lookupStatus` for `found` vs `not_found`.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page